import type { INode } from '../dom/interfaces';
export declare class Sortable {
    static tag: string;
    /**
     * need to re-sort
     */
    dirty: boolean;
    /**
     * sorted child entities
     */
    sorted: INode[];
    /**
     * index in parent's children
     */
    lastSortedIndex: number;
    /**
     * render order in whole scenegraph
     */
    renderOrder: number;
}
//# sourceMappingURL=Sortable.d.ts.map