/**
 * implements CSS_Typed_OM_API
 * @see https://developer.mozilla.org/en-US/docs/Web/API/CSS_Typed_OM_API/Guide
 * @see https://github.dev/WebKit/WebKit/blob/main/Source/WebCore/css
 *
 * add CSSProperty API:
 * @see https://codereview.chromium.org/2735093005
 */
export * from './types';
export * from './CSSColorValue';
export * from './CSSKeywordValue';
export * from './CSSMathOperator';
export * from './CSSNumericSumValue';
export * from './CSSNumericValue';
export * from './CSSRGB';
export * from './CSSGradientValue';
export * from './CSSStyleValue';
//# sourceMappingURL=index.d.ts.map