export declare enum UnitType {
    kUnknown = 0,
    kNumber = 1,
    kPercentage = 2,
    kEms = 3,
    kExs = 4,
    kPixels = 5,
    kCentimeters = 6,
    kMillimeters = 7,
    kInches = 8,
    kPoints = 9,
    kPicas = 10,
    kQuarterMillimeters = 11,
    kViewportWidth = 12,
    kViewportHeight = 13,
    kViewportInlineSize = 14,
    kViewportBlockSize = 15,
    kViewportMin = 16,
    kViewportMax = 17,
    kSmallViewportWidth = 18,
    kSmallViewportHeight = 19,
    kSmallViewportInlineSize = 20,
    kSmallViewportBlockSize = 21,
    kSmallViewportMin = 22,
    kSmallViewportMax = 23,
    kLargeViewportWidth = 24,
    kLargeViewportHeight = 25,
    kLargeViewportInlineSize = 26,
    kLargeViewportBlockSize = 27,
    kLargeViewportMin = 28,
    kLargeViewportMax = 29,
    kDynamicViewportWidth = 30,
    kDynamicViewportHeight = 31,
    kDynamicViewportInlineSize = 32,
    kDynamicViewportBlockSize = 33,
    kDynamicViewportMin = 34,
    kDynamicViewportMax = 35,
    kContainerWidth = 36,
    kContainerHeight = 37,
    kContainerInlineSize = 38,
    kContainerBlockSize = 39,
    kContainerMin = 40,
    kContainerMax = 41,
    kRems = 42,
    kChs = 43,
    kUserUnits = 44,
    kDegrees = 45,
    kRadians = 46,
    kGradians = 47,
    kTurns = 48,
    kMilliseconds = 49,
    kSeconds = 50,
    kHertz = 51,
    kKilohertz = 52,
    kDotsPerPixel = 53,
    kDotsPerInch = 54,
    kDotsPerCentimeter = 55,
    kFraction = 56,
    kInteger = 57,
    kQuirkyEms = 58
}
export declare enum UnitCategory {
    kUNumber = 0,
    kUPercent = 1,
    kULength = 2,
    kUAngle = 3,
    kUTime = 4,
    kUFrequency = 5,
    kUResolution = 6,
    kUOther = 7
}
export declare enum ValueRange {
    kAll = 0,
    kNonNegative = 1,
    kInteger = 2,
    kNonNegativeInteger = 3,
    kPositiveInteger = 4
}
export declare enum Nested {
    kYes = 0,
    kNo = 1
}
export declare enum ParenLess {
    kYes = 0,
    kNo = 1
}
//# sourceMappingURL=types.d.ts.map