import type { CSSUnitValue } from '../cssom';
import { CSSProperty } from '../CSSProperty';
import { mergeDimensionList } from '../parser/dimension';
/**
 * used in rounded rect
 *
 * @example
 * rect.style.radius = 10;
 * rect.style.radius = '10 10';
 * rect.style.radius = '10 10 10 10';
 */
export declare class CSSPropertyLengthOrPercentage14 implements Partial<CSSProperty<[
    CSSUnitValue,
    CSSUnitValue,
    CSSUnitValue,
    CSSUnitValue
], [
    CSSUnitValue,
    CSSUnitValue,
    CSSUnitValue,
    CSSUnitValue
]>> {
    parser(radius: string | number | number[]): [CSSUnitValue, CSSUnitValue, CSSUnitValue, CSSUnitValue];
    mixer: typeof mergeDimensionList;
}
//# sourceMappingURL=CSSPropertyLengthOrPercentage14.d.ts.map