import type { DisplayObject } from '../../display-objects';
import type { CSSUnitValue } from '../cssom';
import { CSSProperty } from '../CSSProperty';
import { CSSPropertyLengthOrPercentage } from './CSSPropertyLengthOrPercentage';
/**
 * local position
 */
export declare class CSSPropertyLocalPosition extends CSSPropertyLengthOrPercentage implements Partial<CSSProperty<CSSUnitValue, CSSUnitValue>> {
    /**
     * update local position
     */
    postProcessor(object: DisplayObject): void;
}
//# sourceMappingURL=CSSPropertyLocalPosition.d.ts.map