import type { DisplayObject } from '../../display-objects';
import type { CSSUnitValue } from '../cssom';
import { CSSProperty } from '../CSSProperty';
import { parseNumber } from '../parser/numeric';
export declare class CSSPropertyOffsetDistance implements Partial<CSSProperty<CSSUnitValue, CSSUnitValue>> {
    parser: typeof parseNumber;
    mixer: (left: CSSUnitValue, right: CSSUnitValue) => [number, number, (i: number) => string];
    postProcessor(object: DisplayObject): void;
}
//# sourceMappingURL=CSSPropertyOffsetDistance.d.ts.map