import type { DisplayObject } from '../../display-objects';
import type { CSSKeywordValue } from '../cssom';
import { CSSProperty } from '../CSSProperty';
/**
 * it must transform after text get parsed
 * @see https://developer.mozilla.org/zh-CN/docs/Web/CSS/text-transform
 */
export declare class CSSPropertyTextTransform implements Partial<CSSProperty<CSSKeywordValue, CSSKeywordValue>> {
    calculator(name: string, oldParsed: CSSKeywordValue, parsed: CSSKeywordValue, object: DisplayObject): CSSKeywordValue;
}
//# sourceMappingURL=CSSPropertyTextTransform.d.ts.map