import type { CSSUnitValue } from '../cssom';
import { CSSProperty } from '../CSSProperty';
import { parseTransformOrigin } from '../parser/transform-origin';
/**
 * @see https://developer.mozilla.org/zh-CN/docs/Web/CSS/transform-origin
 * @example
 * [10px, 10px] [10%, 10%]
 */
export declare class CSSPropertyTransformOrigin implements Partial<CSSProperty<[CSSUnitValue, CSSUnitValue], [CSSUnitValue, CSSUnitValue]>> {
    parser: typeof parseTransformOrigin;
}
//# sourceMappingURL=CSSPropertyTransformOrigin.d.ts.map