import { FederatedEvent } from './FederatedEvent';
import type { EventService } from '../services';
import type { Animation } from './Animation';
/**
 * @see https://developer.mozilla.org/en-US/docs/Web/API/AnimationPlaybackEvent
 */
export declare class AnimationEvent extends FederatedEvent implements AnimationPlaybackEvent {
    currentTime: number | null;
    timelineTime: number;
    constructor(manager: EventService | null, target: Animation, currentTime: number | null, timelineTime: number);
}
//# sourceMappingURL=AnimationEvent.d.ts.map