import type { RenderingPlugin, RenderingService } from '../services';
export declare class PrepareRendererPlugin implements RenderingPlugin {
    static tag: string;
    private renderingContext;
    private styleValueRegistry;
    private sceneGraphService;
    /**
     * RBush used in dirty rectangle rendering
     */
    private rBush;
    /**
     * sync to RBush later
     */
    private toSync;
    private pushToSync;
    apply(renderingService: RenderingService): void;
    private syncRTree;
}
//# sourceMappingURL=PrepareRendererPlugin.d.ts.map