import type { DisplayObject, ParsedTextStyleProps } from '../../display-objects';
import { GeometryAABBUpdater } from './interfaces';
export declare class TextUpdater implements GeometryAABBUpdater<ParsedTextStyleProps> {
    private textService;
    private isReadyToMeasure;
    update(parsedStyle: ParsedTextStyleProps, object: DisplayObject): {
        width: number;
        height: number;
        x: number;
        y: number;
        offsetX: number;
        offsetY: number;
    } | {
        width: number;
        height: number;
        offsetX: number;
        offsetY: number;
        x?: undefined;
        y?: undefined;
    };
}
//# sourceMappingURL=TextUpdater.d.ts.map