import { Syringe } from 'mana-syringe';
import type { DisplayObject } from '../../display-objects/DisplayObject';
import type { ParsedBaseStyleProps } from '../../types';
export declare const GeometryUpdaterFactory: Syringe.DefinedToken;
export declare const GeometryAABBUpdater: Syringe.DefinedToken;
export interface GeometryAABBUpdater<T extends ParsedBaseStyleProps = any> {
    update: (parsedStyle: T, object: DisplayObject) => {
        width: number;
        height: number;
        depth?: number;
        offsetX?: number;
        offsetY?: number;
        offsetZ?: number;
    };
}
//# sourceMappingURL=interfaces.d.ts.map