import { CSSUnitValue } from '../cssom';
export declare function numberToString(x: number): string;
/**
 * parse string or number to CSSUnitValue(numeric)
 *
 * eg.
 * * 0 -> CSSUnitValue(0)
 * * '2' -> CSSUnitValue(2)
 */
export declare function parseNumber(string: string | number): CSSUnitValue;
/**
 * separate string to array
 * eg.
 * * [0.5, 0.5] -> [CSSUnitValue, CSSUnitValue]
 */
export declare function parseNumberList(string: string | number[]): CSSUnitValue[];
export declare function mergeNumbers(left: CSSUnitValue, right: CSSUnitValue): [number, number, (n: number) => string];
export declare function clampedMergeNumbers(min: number, max: number): (left: CSSUnitValue, right: CSSUnitValue) => [number, number, (i: number) => string];
export declare function mergeNumberLists(left: CSSUnitValue[], right: CSSUnitValue[]): [number[], number[], (numberList: number[]) => number[]] | undefined;
//# sourceMappingURL=numeric.d.ts.map