import type { DisplayObject } from '../../display-objects';
import { CSSUnitValue } from '../cssom';
import { CSSProperty } from '../CSSProperty';
import { mergeDimensions, parseAngle } from '../parser/dimension';
export declare class CSSPropertyAngle implements Partial<CSSProperty<CSSUnitValue, CSSUnitValue>> {
    parser: typeof parseAngle;
    mixer: typeof mergeDimensions;
    calculator(name: string, oldParsed: CSSUnitValue, parsed: CSSUnitValue, object: DisplayObject): CSSUnitValue;
}
//# sourceMappingURL=CSSPropertyAngle.d.ts.map