import type { CSSUnitValue } from '../cssom';
import { CSSProperty } from '../CSSProperty';
import { mergeDimensionList } from '../parser/dimension';
/**
 * format to Tuple2<CSSUnitValue>
 *
 * @example
 * rect.style.lineDash = 10;
 * rect.style.lineDash = [10, 10];
 * rect.style.lineDash = '10 10';
 */
export declare class CSSPropertyLengthOrPercentage12 implements Partial<CSSProperty<[CSSUnitValue, CSSUnitValue], [CSSUnitValue, CSSUnitValue]>> {
    parser(radius: string | number | number[]): [CSSUnitValue, CSSUnitValue];
    mixer: typeof mergeDimensionList;
}
//# sourceMappingURL=CSSPropertyLengthOrPercentage12.d.ts.map