import type { CSSUnitValue } from '../css';
import type { DisplayObjectConfig } from '../dom/interfaces';
import type { BaseStyleProps, ParsedBaseStyleProps } from '../types';
import { DisplayObject } from './DisplayObject';
export interface EllipseStyleProps extends BaseStyleProps {
    cx?: number | string;
    cy?: number | string;
    rx: number | string;
    ry: number | string;
}
export interface ParsedEllipseStyleProps extends ParsedBaseStyleProps {
    cx: CSSUnitValue;
    cy: CSSUnitValue;
    rx: CSSUnitValue;
    ry: CSSUnitValue;
}
export declare class Ellipse extends DisplayObject<EllipseStyleProps, ParsedEllipseStyleProps> {
    constructor({ style, ...rest }?: DisplayObjectConfig<EllipseStyleProps>);
}
//# sourceMappingURL=Ellipse.d.ts.map