import type { DisplayObjectConfig } from '../dom';
import type { BaseStyleProps, ParsedBaseStyleProps } from '../types';
import { DisplayObject } from './DisplayObject';
export interface PolygonStyleProps extends BaseStyleProps {
    points: [number, number][];
}
export interface ParsedPolygonStyleProps extends ParsedBaseStyleProps {
    points: {
        points: [number, number][];
        segments: [number, number][];
        totalLength: number;
    };
}
export declare class Polygon extends DisplayObject<PolygonStyleProps, ParsedPolygonStyleProps> {
    constructor({ style, ...rest }?: DisplayObjectConfig<PolygonStyleProps>);
}
//# sourceMappingURL=Polygon.d.ts.map