import { Syringe } from 'mana-syringe';
import type { DisplayObject } from '../display-objects/DisplayObject';
import type { RenderingPlugin, RenderingService } from '../services/RenderingService';
export declare const CullingStrategyContribution: Syringe.DefinedToken;
export interface CullingStrategyContribution {
    isVisible: (object: DisplayObject) => boolean;
}
/**
 * apply following rules:
 * 1. `visibility` in scenegraph node
 * 2. other custom culling strategies, eg. frustum culling
 */
export declare class CullingPlugin implements RenderingPlugin {
    static tag: string;
    private strategyProvider;
    private renderingContext;
    apply(renderingService: RenderingService): void;
}
//# sourceMappingURL=CullingPlugin.d.ts.map